--------------------------------------------------------------------------------
local example_dynaskins = {
	//Changing Color depending on Position in Race
	{name = "position", desc = "Change Colors Depending on your Placement", skin_init = PositionInit, skin_think = PositionThink,
	color = {SKINCOLOR_GOLD, SKINCOLOR_SILVER, 
		SKINCOLOR_BRONZE,SKINCOLOR_SAPPHIRE,
		SKINCOLOR_RUBY,SKINCOLOR_WHITE,
		SKINCOLOR_YELLOW,SKINCOLOR_EMERALD,
		SKINCOLOR_PINK,SKINCOLOR_PURPLE,
		SKINCOLOR_CARAMEL,SKINCOLOR_STEEL,
		SKINCOLOR_CREAMSICLE,SKINCOLOR_MINT,
		SKINCOLOR_POPCORN,SKINCOLOR_BLACK},
	},
	
	//Item Style
	{name = "item", desc = "Change Colors Based on your Current Item", skin_init = ItemInit, skin_think = ItemThink,
	color = {SKINCOLOR_RED,SKINCOLOR_RED,
			SKINCOLOR_NOVA, SKINCOLOR_YELLOW,
			SKINCOLOR_CAMOUFLAGE, SKINCOLOR_NICKEL,
			SKINCOLOR_JAWZ, SKINCOLOR_NAVY,
			SKINCOLOR_LAVENDER, SKINCOLOR_BLACK,
			SKINCOLOR_BLUE, SKINCOLOR_ORANGE,
			SKINCOLOR_THUNDER, SKINCOLOR_WHITE,
			SKINCOLOR_KETCHUP, SKINCOLOR_TOXIC},
	},
}
for i = 1, #example_dynaskins
	Add_DynaSkin(example_dynaskins[i])
end
--------------------------------------------------------------------------------
Add_DynaCategory("Cycle")
local cycle_dynaskins = {
	//Rainbow
	{name = "rainbow",desc = "Cycle Through The Colors of the Rainbow", category = "Cycle", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_RED, SKINCOLOR_KETCHUP, 
		SKINCOLOR_FLAME, SKINCOLOR_SUNSET,
		SKINCOLOR_ORANGE, SKINCOLOR_CREAMSICLE,
		SKINCOLOR_TANGERINE, SKINCOLOR_CREAM,
		SKINCOLOR_YELLOW, SKINCOLOR_GARDEN,
		SKINCOLOR_HANDHELD, SKINCOLOR_ROBOHOOD, 
		SKINCOLOR_GREEN, SKINCOLOR_EMERALD,
		SKINCOLOR_MINT, SKINCOLOR_AZURE,
		SKINCOLOR_JAWZ, SKINCOLOR_CERULEAN,
		SKINCOLOR_BLUE, SKINCOLOR_PASTEL,
		SKINCOLOR_MOONSLAM, SKINCOLOR_PURPLE,
		SKINCOLOR_FUCHSIA, SKINCOLOR_ROSE},
	cycle_speed = 5,
	},

	//Morning to Night
	{name = "daynight", desc = "Cycle through time", category = "Cycle", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_DAWN, SKINCOLOR_WRISTWATCH, SKINCOLOR_PERIWINKLE,SKINCOLOR_SAPPHIRE,
			SKINCOLOR_JET, SKINCOLOR_WRISTWATCH, SKINCOLOR_SUNSET, SKINCOLOR_DUSK,
			SKINCOLOR_BYZANTIUM,SKINCOLOR_DUSK},
	cycle_speed = 7}
}
for i = 1, #cycle_dynaskins
	Add_DynaSkin(cycle_dynaskins[i])
end
--------------------------------------------------------------------------------
Add_DynaCategory("Speed")
local speed_dynaskins = {
	//Changing Color depending on Driving Speed
	{name = "speed_mono", desc = "Black = Slow, White = Fast", skin_init = SpeedInit, skin_think = SpeedThink,
	color = {SKINCOLOR_BLACK,SKINCOLOR_NICKEL,
			SKINCOLOR_SKUNK,SKINCOLOR_GREY,
			SKINCOLOR_SILVER,SKINCOLOR_WHITE},
	category = "Speed"
	},
	
	{name = "speed_portal", desc = "Blue = Slow, Orange = Fast", skin_init = SpeedInit, skin_think = SpeedThink,
	color = {SKINCOLOR_BLUE,SKINCOLOR_SAPPHIRE,
			SKINCOLOR_WRISTWATCH,SKINCOLOR_SUNSET,
			SKINCOLOR_ORANGE,SKINCOLOR_TANGERINE},
	category = "Speed"
	},
	
	//Dashmode
	{name = "dashmode", desc = "Metal Sonic's Dashmode", skin_init = SpeedInit, skin_think = SpeedThink,
	color = {SKINCOLOR_BLUEBERRY, 
			SKINCOLOR_BLUEBERRY, 
			SKINCOLOR_BLUEBERRY, 
			SKINCOLOR_BLUEBERRY, 
			SKINCOLOR_BLUEBERRY,
			{SKINCOLOR_BLUEBERRY,SKINCOLOR_PUMPKIN}
		},
	cycle_speed = 2,
	category = "Speed"
	},
}
for i = 1, #speed_dynaskins
	Add_DynaSkin(speed_dynaskins[i])
end
--------------------------------------------------------------------------------
Add_DynaCategory("Super Colors")
local supercolor_dynaskins = {
	{name = "s_yellow",desc = "Super Yellow",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_SUPER1,SKINCOLOR_SUPER2,
		SKINCOLOR_SUPER3,SKINCOLOR_SUPER4,
		SKINCOLOR_SUPER5,SKINCOLOR_SUPER4,
		SKINCOLOR_SUPER3,SKINCOLOR_SUPER2,
		SKINCOLOR_SUPER1},
	cycle_speed = 3,
	},
	
	{name = "s_orange",desc = "Super Orange",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_TSUPER1,SKINCOLOR_TSUPER2,
		SKINCOLOR_TSUPER3,SKINCOLOR_TSUPER4,
		SKINCOLOR_TSUPER5,SKINCOLOR_TSUPER4,
		SKINCOLOR_TSUPER3,SKINCOLOR_TSUPER2,
		SKINCOLOR_TSUPER1},
	cycle_speed = 3,
	},
	{name = "s_red",desc = "Super Red",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_KSUPER1,SKINCOLOR_KSUPER2,
		SKINCOLOR_KSUPER3,SKINCOLOR_KSUPER4,
		SKINCOLOR_KSUPER5,SKINCOLOR_KSUPER4,
		SKINCOLOR_KSUPER3,SKINCOLOR_KSUPER2,
		SKINCOLOR_KSUPER1},
	cycle_speed = 3,
	},
	{name = "s_purple",desc = "Super Purple",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_PSUPER1,SKINCOLOR_PSUPER2,
		SKINCOLOR_PSUPER3,SKINCOLOR_PSUPER4,
		SKINCOLOR_PSUPER5,SKINCOLOR_PSUPER4,
		SKINCOLOR_PSUPER3,SKINCOLOR_PSUPER2,
		SKINCOLOR_PSUPER1},
	cycle_speed = 3,
	},
	{name = "s_blue",desc = "Super Blue",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_BSUPER1,SKINCOLOR_BSUPER2,
		SKINCOLOR_BSUPER3,SKINCOLOR_BSUPER4,
		SKINCOLOR_BSUPER5,SKINCOLOR_BSUPER4,
		SKINCOLOR_BSUPER3,SKINCOLOR_BSUPER2,
		SKINCOLOR_BSUPER1},
	cycle_speed = 3,
	},
	{name = "s_aqua",desc = "Super Aqua",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_ASUPER1,SKINCOLOR_ASUPER2,
		SKINCOLOR_ASUPER3,SKINCOLOR_ASUPER4,
		SKINCOLOR_ASUPER5,SKINCOLOR_ASUPER4,
		SKINCOLOR_ASUPER3,SKINCOLOR_ASUPER2,
		SKINCOLOR_ASUPER1},
	cycle_speed = 3,
	},
	{name = "s_green",desc = "Super Green",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_GSUPER1,SKINCOLOR_GSUPER2,
		SKINCOLOR_GSUPER3,SKINCOLOR_GSUPER4,
		SKINCOLOR_GSUPER5,SKINCOLOR_GSUPER4,
		SKINCOLOR_GSUPER3,SKINCOLOR_GSUPER2,
		SKINCOLOR_GSUPER1},
	cycle_speed = 3,
	},
	{name = "s_white",desc = "Super White",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_WSUPER1,SKINCOLOR_WSUPER2,
		SKINCOLOR_WSUPER3,SKINCOLOR_WSUPER4,
		SKINCOLOR_WSUPER5,SKINCOLOR_WSUPER4,
		SKINCOLOR_WSUPER3,SKINCOLOR_WSUPER2,
		SKINCOLOR_WSUPER1},
	cycle_speed = 3,
	},
	{name = "s_cream",desc = "Super Cream",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_CSUPER1,SKINCOLOR_CSUPER2,
		SKINCOLOR_CSUPER3,SKINCOLOR_CSUPER4,
		SKINCOLOR_CSUPER5,SKINCOLOR_CSUPER4,
		SKINCOLOR_CSUPER3,SKINCOLOR_CSUPER2,
		SKINCOLOR_CSUPER1},
	cycle_speed = 3,
	},
	{name = "hyper", desc = "Hyper Color",category = "Super Colors", skin_init = CycleInit, skin_think = CycleThink,
	color = {SKINCOLOR_SUPER1,SKINCOLOR_SUPER2,SKINCOLOR_SUPER3,SKINCOLOR_SUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_TSUPER1,SKINCOLOR_TSUPER2,SKINCOLOR_TSUPER3,SKINCOLOR_TSUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_KSUPER1,SKINCOLOR_KSUPER2,SKINCOLOR_KSUPER3,SKINCOLOR_KSUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_PSUPER1,SKINCOLOR_PSUPER2,SKINCOLOR_PSUPER3,SKINCOLOR_PSUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_BSUPER1,SKINCOLOR_BSUPER2,SKINCOLOR_BSUPER3,SKINCOLOR_BSUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_ASUPER1,SKINCOLOR_ASUPER2,SKINCOLOR_ASUPER3,SKINCOLOR_ASUPER4,SKINCOLOR_WSUPER5,
		SKINCOLOR_GSUPER1,SKINCOLOR_GSUPER2,SKINCOLOR_GSUPER3,SKINCOLOR_GSUPER4,SKINCOLOR_WSUPER5},
	cycle_speed = 3,
	},
}
for i = 1, #supercolor_dynaskins
	Add_DynaSkin(supercolor_dynaskins[i])
end